<h1>Binding</h1>

<!-- ADDING AN EVENT
  Syntax: (typeOfEvent)
   we can pass in the event $event


-->


<div class="container">
<!--  <button (click)="triggerEvent($event)">Trigger event here</button>-->
<!--  <button (mouseover)="triggerEvent($event)">MouseOver Event here</button>-->
<!--  <button (mouseout)="triggerEvent($event)">MouseOut Event here</button>-->
<!--  <button (mousedown)="triggerEvent($event)">MouseDown Event here</button>-->
<!--  <button (mouseup)="triggerEvent($event)">MouseUp Event here</button>-->
<!--  <button (dblclick)="triggerEvent($event)">DoubleClick Event here</button>-->




<!--  <button [disabled]="!enableAddUser" class="btn btn-block mb-3" [ngClass]="currentClasses">Add New Person</button>-->

  <button (click)="toggleForm()" class="btn btn-sm btn-info">Add Character</button>

  <div class="card card-body" *ngIf="showForm">
    <form>
      <div class="form-group">
        <label>Persona:</label>
<!--          <input (keydown)="fireEvent($event)" type="text" class="form-control">-->
          <input (keyup)="fireEvent($event)" type="text" class="form-control">
<!--          <input (keypress)="fireEvent($event)" type="text" class="form-control">-->
<!--          <input (focus)="fireEvent($event)" type="text" class="form-control">-->
<!--          <input (blur)="fireEvent($event)" type="text" class="form-control">-->

        <label> First Name:</label>
          <input type="text" class="form-control">

        <label>Last Name:</label>
          <input type="text" class="form-control">
      </div>
    </form>
</div>

  <ul class="list-unstyled">
    <li class="card card-body mb-3" *ngFor="let character of characters" [class.bg-info]="character.isActive">

      <div class="row">

        <div class="col-sm-4">
          <img class="img-fluid" [src]="character.img" alt="">
        </div>

        <div class="col-sm-8">

          <h1 [ngStyle]="currentStyle">
            {{ character.persona | uppercase }}
            <button (click)="toggleInfo(character)" class="btn btn-primary btn-sm">
              <i [ngClass]="character.hide ? 'fa fa-minus' : 'fa fa-plus'"></i>
            </button>
          </h1>

          <h3
            [ngStyle]="currentStyle"> {{ character.firstName }} {{ character.lastName }}
          </h3>

          <ul class="list-group" *ngIf="character.hide">
            <li class="list-group-item">Age: {{ character.age }} </li>
            <li class="list-group-item">Address: {{ character.address.street }}, {{ character.address.city }}, {{ character.address.state }} </li>
<!--            <button (click)="toggleBalance(character)" class="btn btn-sm btn-primary">Display balance with $1000 extra</button>-->
            <li *ngIf="character.balance" class="list-group-item">Balance: {{ character.balance | currency:"JPY" }} </li>
            <li *ngIf="character.memberSince" class="list-group-item">Member Since: {{ character.memberSince | date:'MM/dd/yyyy' }} </li>
          </ul>

        </div>

      </div>

    </li>
  </ul>
</div>
